file(GLOB_RECURSE PSEMEK_LOG_HEADERS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "include/*.hpp")
file(GLOB_RECURSE PSEMEK_LOG_SOURCES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "source/*.cpp")

psemek_add_library(psemek-log ${PSEMEK_LOG_HEADERS} ${PSEMEK_LOG_SOURCES})
target_include_directories(psemek-log PUBLIC "${CMAKE_CURRENT_SOURCE_DIR}/include")
target_link_libraries(psemek-log PUBLIC psemek-io ${CMAKE_THREAD_LIBS_INIT})
